MetalIconFactory.FolderIcon16 (Java SE 9 & JDK 9 )
Keywords: javax.swing.plaf.metal.MetalIconFactory.FolderIcon16 class

Module java.desktop
Package javax.swing.plaf.metal

## Class MetalIconFactory.FolderIcon16

- java.lang.Object
- - javax.swing.plaf.metal.MetalIconFactory.FolderIcon16

- All Implemented Interfaces:
    `Serializable`, `Icon`
  Direct Known Subclasses:
    `MetalIconFactory.TreeFolderIcon`
  Enclosing class:
    MetalIconFactory

      public static class MetalIconFactory.FolderIcon16
      extends Object
      implements Icon, Serializable

  Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. As of 1.4, support for long term storage of all JavaBeans™ has been added to the `java.beans` package. Please see `XMLEncoder`.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FolderIcon16​()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getAdditionalHeight​()` | Returns an additional height of the icon.
    `int` | `getIconHeight​()` | Returns the icon's height.
    `int` | `getIconWidth​()` | Returns the icon's width.
    `int` | `getShift​()` | Returns a shift of the icon.
    `void` | `paintIcon​(Component c, Graphics g, int x, int y)` | Draw the icon at the specified location.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FolderIcon16

          public FolderIcon16​()

  - ### Method Detail

    - #### paintIcon

          public void paintIcon​(Component c,
                                Graphics g,
                                int x,
                                int y)

      Description copied from interface: `Icon`
      Draw the icon at the specified location. Icon implementations may use the Component argument to get properties useful for painting, e.g. the foreground or background color.
      Specified by:
        `paintIcon` in interface `Icon`
      Parameters:
        `c` - a `Component` to get properties useful for painting
        `g` - the graphics context
        `x` - the X coordinate of the icon's top-left corner
        `y` - the Y coordinate of the icon's top-left corner

    - #### getShift

          public int getShift​()

      Returns a shift of the icon.
      Returns:
        a shift of the icon

    - #### getAdditionalHeight

          public int getAdditionalHeight​()

      Returns an additional height of the icon.
      Returns:
        an additional height of the icon

    - #### getIconWidth

          public int getIconWidth​()

      Description copied from interface: `Icon`
      Returns the icon's width.
      Specified by:
        `getIconWidth` in interface `Icon`
      Returns:
        an int specifying the fixed width of the icon.

    - #### getIconHeight

          public int getIconHeight​()

      Description copied from interface: `Icon`
      Returns the icon's height.
      Specified by:
        `getIconHeight` in interface `Icon`
      Returns:
        an int specifying the fixed height of the icon.